Subject: Re: bug#17749: 24.3.91; Crash on mwheel-scroll of org file

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Aug 2014 17:21:12 +0300

> From: "Vladimir Alexiev" <[email-masked]>
> Cc: <[email-masked]>,
> 	<[email-masked]>
> Date: Tue, 5 Aug 2014 11:10:16 +0300
> 
> > > 1. Open emacs-crash-test.org
> > > 2. Make the window smaller (e.g. 20 lines tall)
> > > 2. Roll the mouse wheel down until you see the end of file, then up.
> > > 3. CRASH
> 
> The specific org file doesn't matter.
> The window size doesn't matter.
> This crash happens to me occasionally (2-3 times a week), always on an org file, always on mwheel-up (which invokes mwheel-scroll).
> 
> Eli, can you tell something from the backtrace here?
> http://lists.gnu.org/archive/html/emacs-orgmode/2014-06/txtkIBvnmHi_F.txt

No, sorry.  I really need to reproduce this on my machine and run
Emacs under a debugger to see what happens and why.

Please try to come up with a recipe starting from "emacs -Q".  It is
OK to include customizations and loading of optional packages, but
please try to find the minimal set of those, as too many of them
complicate debugging.

> > This is an assertion violation, not a crash.
> 
> The failing assertion causes a crash, so I'm not sure what's the difference. 
> Is there an emacs build that doesn't crash on eassert() failure?

If Emacs is configured without --enable-checking (which is what
happens in released versions), all the eassert lines compile to
nothing.

> > Some assumption in the
> > code turned out to be false, but it is not possible to know which one,
> > and whether it's just a wrong assumption or a real problem.
> 
> It seems the assertion does basic consistency checks of the IT structure.

Yes.  But without details, I cannot know what caused it or how to fix
it.

> What is it->bidi_p? I don't use BIDI text: this happens on ascii org files.

The display engine always works in bidirectional mode, this has been
so since Emacs 24.1.